#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "Logger/FileLogger.h"

class QMenu;

class ECGViewerWidget;

class MainWindow : public QMainWindow
{
    Q_OBJECT

private:
    FileLogger m_logger;

    ECGViewerWidget* m_pViewerWidget;

    QMenu* m_pFileMenu;

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
};

#endif // MAINWINDOW_H
