import QtQuick 1.0

Item
{
    id: machineBox
    property string mName: "Name"
    property string mIP:  "129.102.29.21"

    signal nameChanged(string newName)
    signal ipChanged(string newIP)
    signal removed(string machineName)

    // anchors.fill: parent
    width: parent.width
    height: 20

    Button
    {
        id: removeButton

        width: parent.width/3
        height: 15

        title: "Remove"

        onButtonClick: { removed(machineIPText.text) }
    }

    TextInformation
    {
        id: machineIPText
        width: parent.width/3
        anchors.left: removeButton.right
        anchors.leftMargin: 5

        labelText: "IP: "
        text: machineBox.mIP
    }

    TextInformation
    {
        id: machineNameText
        anchors.left: machineIPText.right
        anchors.leftMargin: 5
        width: parent.width/3

        labelText: "Machine: "
        text: machineBox.mName
    }
}
