import QtQuick 1.0

Rectangle
{
    id: patientBox
    property string pName: "Name"
    property int pAge: 42

    width: parent.width
    height: 50
    border.color: "black"
    radius: 3

    TextInformation
    {
        id: nameLabel

        labelText: "Name: "
        text: patientBox.pName
    }

    TextInformation
    {
        id: ageLabel
        anchors.top: nameLabel.bottom

        labelText: "Age: "
        text: patientBox.pAge
    }

    GraphicalLine
    {
        anchors.top: ageLabel.bottom
    }
}
