import QtQuick 1.0

Item
{
    property int versionNumber: 42

    ListView
    {
        id: changementList
        height: 500
        width: 500
        spacing: 5

        model: changementModel
        onVisibleChanged: { console.log("Visibily changed") }
        delegate:
            ChangementViewer
            {
                id: delegateObject
                height: 50
                width: 500
                cTitle: userName
                cTime: time
                cText: message
                border.width: 3
                border.color:
                {
                    // Making the list alterning colours :)
                    if ( (delegateObject.y / (height+5)) % 2 == 0 )
                    {
                        return "#ff8686"
                    }
                    else
                    {
                        return "#79eb48"
                    }
                }

                color:
                {
                    // +5 because of the spacing
                    if ( (delegateObject.y / (height+5)) % 2 == 0 )
                    {
                        return "#ffc7c7"
                    }
                    else
                    {
                        return "#c1ffc9"
                    }
                }
            }
    }
}
