#include <QtGui/QApplication>

#include <QSqlDatabase>
#include <QMessageBox>

#include "mainwindow.h"
#include "MedCenter.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MedCenter mc;
    mc.show();

    if ( !QSqlDatabase::isDriverAvailable("QSQLITE"))
    {
        QMessageBox::critical(0,"Fatal error","Missing QSQLITE driver");
        return 0;
    }

    return a.exec();
}
