#-------------------------------------------------
#
# Project created by QtCreator 2011-07-14T14:49:16
#
#-------------------------------------------------

QT       += core gui opengl
TEMPLATE = lib
CONFIG += plugin

INCLUDEPATH += ../../3DViewer/Sources/
INCLUDEPATH += ../../include/
INCLUDEPATH += ../../MedCenter/Sources/
LIBS += -L../../lib -lFileLogger

SOURCES += \
    Sources/MC_3DModule.cpp \
	../../MedCenter/Sources/Types/Patient.cpp \
	../../MedCenter/Sources/Types/Data.cpp \
	../../MedCenter/Sources/Utils/ByteArrayUtils.cpp \
	../../MedCenter/Sources/Types/VersionData.cpp \
    ../../MedCenter/Sources/Types/User.cpp \
    ../../MedCenter/Sources/Types/PatientData.cpp \
    ../../MedCenter/Sources/Types/OperationData.cpp \
    ../../MedCenter/Sources/Types/ListData.cpp \
    ../../MedCenter/Sources/Types/FileData.cpp \
    ../../MedCenter/Sources/Types/Changement.cpp \
	../../3DViewer/Sources/3DRenderer/3DParser/MC_3DParserFactory.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DRenderer.cpp \
    ../../3DViewer/Sources/3DRenderer/3DParser/trian/MC_Trian3DParser.cpp \
    ../../3DViewer/Sources/MC_3DWidget.cpp \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera.cpp \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DCamera.cpp \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DGLUCamera.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DShape.cpp \
    ../../3DViewer/Sources/3DRenderer/3DShaders/MC_3DShader.cpp \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DQtCamera.cpp \ 
    ../../3DViewer/Sources/MC_3DShapeListWidget.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DGLShape.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModel.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelList.cpp \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera2.cpp \
    ../../3DViewer/Sources/MC_3DShapeWidgetItem.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL2.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelGL.cpp \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelGL2.cpp \
    ../../3DViewer/Sources/3DRenderer/3DParser/MC_3DParser.cpp
HEADERS += \
    Sources/MC_3DModule.h \
	../../MedCenter/Sources/Types/Patient.h \
	../../MedCenter/Sources/Types/Data.h \
	../../MedCenter/Sources/Utils/ByteArrayUtils.h \
	../../MedCenter/Sources/Types/VersionData.h \
    ../../MedCenter/Sources/Types/User.h \
    ../../MedCenter/Sources/Types/PatientData.h \
    ../../MedCenter/Sources/Types/OperationData.h \
    ../../MedCenter/Sources/Types/ListData.h \
    ../../MedCenter/Sources/Types/FileData.h \
    ../../MedCenter/Sources/Types/Changement.h \
	../../3DViewer/Sources/3DRenderer/3DParser/MC_3DParser.h \
    ../../3DViewer/Sources/3DRenderer/3DParser/MC_3DParserFactory.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DRenderer.h \
    ../../3DViewer/Sources/3DRenderer/3DParser/trian/MC_Trian3DParser.h \
    ../../3DViewer/Sources/MC_3DWidget.h \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera.h \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DCamera.h \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DGLUCamera.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DShape.h \
    ../../3DViewer/Sources/3DRenderer/3DShaders/MC_3DShader.h \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DQtCamera.h \
    ../../3DViewer/Sources/3DRenderer/MathUtils.h \
    ../../3DViewer/Sources/MC_3DShapeListWidget.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DGLShape.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModel.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelList.h \
    ../../3DViewer/Sources/3DRenderer/3DCamera/MC_3DSatelliteCamera2.h \
    ../../3DViewer/Sources/MC_3DShapeWidgetItem.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL2.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL2.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelGL.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DShapeModelGL2.h \
    ../../3DViewer/Sources/3DRenderer/MC_3DRendererGL.h
TARGET = $$qtLibraryTarget(3DModule)
DESTDIR = ../Module/plugins

symbian {
    MMP_RULES += EXPORTUNFROZEN
    TARGET.UID3 = 0xE69E1411
    TARGET.CAPABILITY = 
    TARGET.EPOCALLOWDLLDATA = 1
    addFiles.sources = 3DModule.dll
    addFiles.path = !:/sys/bin
    DEPLOYMENT += addFiles
}

unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }
    INSTALLS += target
}

RESOURCES += \
    3DModule.qrc
