#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>

#include "Logger/FileLogger.h"

class RadioViewerWidget;

class MainWindow : public QMainWindow
{
    Q_OBJECT

private:

    FileLogger m_logger;

    RadioViewerWidget* m_pWidget;

    QMenu* m_pFileMenu;

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
};

#endif // MAINWINDOW_H
