#include "mainwindow.h"

#include <QMenuBar>
#include <QMenu>

#include "ScanViewerWidget.h"

MainWindow::MainWindow(QWidget *parent)
    :QMainWindow(parent),m_logger("scanViewer.log"),
     m_pWidget(new ScanViewerWidget(&m_logger,this)),
      m_pFileMenu(new QMenu(tr("File"),this))
{
    this->setCentralWidget(m_pWidget);

    this->menuBar()->addMenu(m_pFileMenu);
    QAction* p_loadFileAction = m_pFileMenu->addAction(tr("Load scan Files"));
    connect(p_loadFileAction, SIGNAL(triggered()), m_pWidget, SLOT(loadScanFiles()));
}

MainWindow::~MainWindow()
{

}
